import { EventHooks } from "../utils/hooks";
import type { TemplateHooks } from "./templates";
import type { VNode } from "preact";
import type { Application } from "../application";
import type { ProjectReflection } from "../models";
export declare class Renderer {
    readonly application: Application;
    /**
     * Hooks which plugins can use to modify the rendered output.
     */
    readonly hooks: EventHooks<TemplateHooks, VNode<{}> | null>;
    constructor(application: Application);
    render(project: ProjectReflection, out: string): Promise<void>;
}
